[tool.poetry]
name = "ska-sdp-helmdeploy"
version = "1.0.0"
description = "SKA SDP Helm Deployer"
authors = ["SKA SDP Developers"]
license = "BSD-3-Clause"
repository = "https://gitlab.com/ska-telescope/sdp/ska-sdp-helmdeploy"
documentation = "https://developer.skao.int/projects/ska-sdp-helmdeploy/en/latest/"

[[tool.poetry.source]]
name = "PyPI"
priority = "supplemental"

[[tool.poetry.source]]
name = "skao"
url = "https://artefact.skao.int/repository/pypi-internal/simple"
priority = "primary"

[tool.poetry.dependencies]
python = "^3.10"
PyYAML = "^6.0.1"
ska-sdp-config = "^1.0.0"
ska-ser-logging = "^0.4.3"
python-dotenv = "^1.0.1"
kubernetes = "^32.0.0"

[tool.poetry.group.dev.dependencies]
black = "^24.10"
build = "^1.2"
flake8 = "^7.1"
flake8-pyproject = "^1.2.3"
isort = "^5.13"
pylint = "^3.3"
pylint-junit = "^0.3"
pytest = "^8.3"
pytest-cov = "^6.0"
pytest-timeout = "^2.3.1"

[tool.poetry.group.docs.dependencies]
sphinx = "^8.1.3"
ska-ser-sphinx-theme = "^0.2.1"

[tool.poetry.scripts]
ska-sdp-helmdeploy = "ska_sdp_helmdeploy.helmdeploy:main"

[tool.flake8]
ignore = ["E203"]

[tool.pytest.ini_options]
addopts = "-v"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
